Subject: Re: [net PATCH] octeontx2-pf: Reduce minimum mtu size to 60

From: Andrew Lunn <[email-masked]>
Date: Thu, 28 Jul 2022 23:57:06 +0200

On Thu, Jul 28, 2022 at 06:08:12PM +0530, Naveen Mamindlapalli wrote:
> From: Subbaraya Sundeep <[email-masked]>
> 
> PTP messages like SYNC, FOLLOW_UP, DELAY_REQ are of size 58 bytes.
> Using a minimum packet length as 64 makes NIX to pad 6 bytes of
> zeroes while transmission. This is causing latest ptp4l application to
> emit errors since length in PTP header and received packet are not same.
> Padding upto 3 bytes is fine but more than that makes ptp4l to assume
> the pad bytes as a TLV. Hence reduce the size to 60 from 64.

Please Cc: the PTP maintainer for changes like this.

I also don't follow your explanation. At least for the original 802.3,
you had to pad packets shorter than 64 bytes, otherwise CSMA/CD did
not work. So i would expect PTP messages should be padded to 64?

Or is you hardware doing the padding wrong, and this is a workaround
for that bug?

    Andrew